# $Revision: 1.12 $, $Date: 2004/08/15 10:59:26 $
%define		realname		expat
Summary:	XML 1.0 parser - Ming32 cross version
Summary(pl):	Analizator skadni XML-a 1.0 - wersja skrona dla Ming32
Summary(pt_BR):	Biblioteca XML expat
Summary(ru):	   XML (expat)
Summary(uk):	 ¦̦  XML (expat)
Name:		crossmingw32-%{realname}
Version:	1.95.8
Release:	3
License:	Thai Open Source Software Center Ltd (distributable)
Group:		Applications/Publishing/XML
Source0:	http://dl.sourceforge.net/expat/%{realname}-%{version}.tar.gz
# Source0-md5:	aff487543845a82fe262e6e2922b4c8e
Patch0:		%{realname}-DESTDIR.patch
Patch1:		%{realname}-ac_fixes.patch
URL:		http://expat.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32
%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}

%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
# alpha's -mieee and sparc's -mtune=* are not valid for target's gcc
%define		optflags	-O2
%endif

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

This package contains the cross version for Win32.

%description -l pl
Expat to napisany w jzyku C analizator skadni XML-a. Dy do penej
zgodnoci ze specyfikacj. Aktualnie nie jest analizatorem, ktry
potwiedzaby zgodno ze specyfikacj.

Ten pakiet zawiera wersj skron dla Win32.

%description -l pt_BR
Esta  a biblioteca, em C, XML expat, de James Clark.  um analisador
orientado a fluxo de informaes que pede o uso de handlers para lidar
com a estrutura que o analisador encontrar no documento.

%description -l ru
Expat --  XML 1.0,   C.    ,
   .      
("not a validating") XML .

%description -l uk
Expat --  XML 1.0,   C.   ,  
Φ ͦ. ڦ   צ ("not a validating") XML
.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--target=%{target} \
	--host=%{target_platform} \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_bindir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_bindir}/libexpat-0.dll
%{_libdir}/libexpat.dll.a
%{_libdir}/libexpat.la
%{_includedir}/expat*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-expat.spec,v $
Revision 1.12  2004/08/15 10:59:26  wolf
- magic alphasparc fix
- rel 3

Revision 1.11  2004/08/14 09:38:05  averne
- rel 2

Revision 1.10  2004/07/25 11:42:50  qboosh
- updated to 1.95.8

Revision 1.9  2004/02/23 22:08:59  ankry
- pl fixes, cosmetics

Revision 1.8  2003/12/01 21:22:15  qboosh
- 644 for .dll

Revision 1.7  2003/12/01 20:28:34  qboosh
- standard buildroot

Revision 1.6  2003/12/01 19:47:07  qboosh
- strip libs

Revision 1.5  2003/12/01 00:04:11  qboosh
- updated to 1.99.7, simplified macros, fixed files

Revision 1.4  2003/08/27 14:35:02  ggodlewski
- corrected rel. and epoch

Revision 1.3  2003/08/25 20:37:44  ggodlewski
- removed wrong obsoletes

Revision 1.2  2003/08/25 19:02:51  ankry
- full translation

Revision 1.1  2003/08/25 16:19:27  ggodlewski
- Initial release
